For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList voice settings presets
      • POSTCreate voice settings preset
      • GETGet voice settings preset
      • DELDelete voice settings preset
      • PATCHUpdate voice settings preset
Status
LogoLogo
API ReferenceVoice Settings Presets

Create voice settings preset

POST
https://app.resemble.ai/api/v2/voice_settings_presets
POST
/api/v2/voice_settings_presets
$curl -X POST https://app.resemble.ai/api/v2/voice_settings_presets \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
201Created
1{
2 "success": true,
3 "data": {},
4 "message": "string"
5}

Create a new voice settings preset (max 5 per user)

Was this page helpful?
Previous

Get voice settings preset

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Request

This endpoint expects an object.
namestringRequired<=30 characters

Preset name (unique, max 30 characters)

pacedoubleOptional0.2-2Defaults to 1

Speech pace/speed

temperaturedoubleOptional0.1-5Defaults to 0.8
Voice variation
pitchdoubleOptional-10-10Defaults to 0
Voice pitch adjustment
useHdbooleanOptionalDefaults to false
Use HD quality
exaggerationdoubleOptional0-1Defaults to 0.5
Emotional exaggeration
descriptionstringOptional<=1000 charactersDefaults to
Voice style prompt

Response

Preset created
successboolean
dataobject
messagestring